Bug 1123609 - [abrt] PackageKit: g_type_check_instance_is_fundamentally_a(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: g_type_check_instance_is_fundamentally_a(): packagekitd ki...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:88561ff90aeb2d57bfd8eb1db82...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 08:02 UTC by PDS
Modified: 2015-05-29 18:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-29 18:08:55 UTC


Attachments (Terms of Use)
File: backtrace (22.48 KB, text/plain)
2014-07-27 08:02 UTC, PDS
no flags Details
File: cgroup (200 bytes, text/plain)
2014-07-27 08:02 UTC, PDS
no flags Details
File: core_backtrace (17.16 KB, text/plain)
2014-07-27 08:02 UTC, PDS
no flags Details
File: dso_list (7.83 KB, text/plain)
2014-07-27 08:02 UTC, PDS
no flags Details
File: environ (120 bytes, text/plain)
2014-07-27 08:02 UTC, PDS
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-27 08:03 UTC, PDS
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-27 08:03 UTC, PDS
no flags Details
File: maps (37.82 KB, text/plain)
2014-07-27 08:03 UTC, PDS
no flags Details
File: open_fds (5.68 KB, text/plain)
2014-07-27 08:03 UTC, PDS
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2014-07-27 08:03 UTC, PDS
no flags Details
File: var_log_messages (4.12 KB, text/plain)
2014-07-27 08:03 UTC, PDS
no flags Details

Description PDS 2014-07-27 08:02:39 UTC
Version-Release number of selected component:
PackageKit-0.9.4-2.fc22

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/libexec/packagekitd
kernel:         3.16.0-0.rc6.git2.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_type_check_instance_is_fundamentally_a at /lib64/libgobject-2.0.so.0
 #2 g_source_callback_unref at /lib64/libglib-2.0.so.0
 #3 g_source_destroy_internal at /lib64/libglib-2.0.so.0
 #5 g_main_context_iterate.isra at /lib64/libglib-2.0.so.0
 #7 pk_plugin_transaction_finished_end at /usr/lib64/packagekit-plugins-2/libpk_plugin-update-package-cache.so
 #8 pk_transaction_plugin_phase
 #9 pk_transaction_finished_cb
 #10 pk_backend_job_call_vfunc_idle_cb
 #12 g_main_context_iterate.isra at /lib64/libglib-2.0.so.0

Comment 1 PDS 2014-07-27 08:02:46 UTC
Created attachment 921370 [details]
File: backtrace

Comment 2 PDS 2014-07-27 08:02:48 UTC
Created attachment 921371 [details]
File: cgroup

Comment 3 PDS 2014-07-27 08:02:52 UTC
Created attachment 921372 [details]
File: core_backtrace

Comment 4 PDS 2014-07-27 08:02:55 UTC
Created attachment 921373 [details]
File: dso_list

Comment 5 PDS 2014-07-27 08:02:57 UTC
Created attachment 921374 [details]
File: environ

Comment 6 PDS 2014-07-27 08:03:00 UTC
Created attachment 921375 [details]
File: exploitable

Comment 7 PDS 2014-07-27 08:03:02 UTC
Created attachment 921376 [details]
File: limits

Comment 8 PDS 2014-07-27 08:03:07 UTC
Created attachment 921377 [details]
File: maps

Comment 9 PDS 2014-07-27 08:03:10 UTC
Created attachment 921378 [details]
File: open_fds

Comment 10 PDS 2014-07-27 08:03:13 UTC
Created attachment 921379 [details]
File: proc_pid_status

Comment 11 PDS 2014-07-27 08:03:15 UTC
Created attachment 921380 [details]
File: var_log_messages

Comment 12 Jaroslav Reznik 2015-03-03 16:09:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 13 Kalev Lember 2015-05-29 18:08:55 UTC
This is fixed in F21+.


Note You need to log in before you can comment on or make changes to this bug.